.plan__content{
    .back-action{
        display: none;
    }

    &--background{
        background: #F7F8FC;
        padding: 0;
        display: grid;
        grid-template-columns: 11.54% repeat(37, 1fr) 11.54%;
    }

    &__loading{
        display: block !important;
        margin: calc(50vh - 66px) auto 0;
    }

    &__greeting{
        grid-column: 2 / 39;
        margin-top: 40px;
        margin-bottom: 24px;

        &__title.mobile{
            font-family: Lato;
            font-style: normal;
            font-weight: normal;
            font-size: 28px;
            line-height: 36px; 
            letter-spacing: -0.6px;
            color: #494F66;
            margin-bottom: 8px;
        }

        &__title.desktop{
            display: none;
        }

        &__text{
            font-family: Roboto;
            font-style: normal;
            font-weight: normal;
            font-size: 16px;
            line-height: 28px;
            color: #676F8F;
        }

    }

    &__card{
        grid-column: 2/39;
        background: #FFFFFF;
        border-radius: 12px;
        box-shadow: 0px 0px 10px rgba(163, 171, 204, 12%);
        position: relative;
        height: 148px;
        padding: 0 26.66vw 0 6.66vw;
        display: flex;
        align-items: center;
        width: 100%;
        margin-bottom: 56px;

        &__car{
            &-plate{
                font-family: Roboto;
                font-style: normal;
                font-weight: normal;
                font-size: 12px;
                line-height: 20px;
                letter-spacing: 0.2px;
                color: #A3ABCC;
            }
            &-model{
                font-family: Lato;
                font-style: normal;
                font-weight: normal;
                font-size: 16px;
                line-height: 24px;
                display: flex;
                align-items: center;
                letter-spacing: 0.2px;
                color: #494F66;
            }
        }

        &__image{
            position: absolute;
            right: 3%;
            bottom: 0;
            height: 156px;
        }
    }

    &__insurance{
        display: grid;
        grid-template-columns: 11.54% repeat(37, 1fr) 11.54%;
        margin-top: 44px;
        margin-bottom: 36px;

        &--block{
            grid-column: 2 / 39;
            margin-bottom: 16px;
        }

        &__text{
            font-family: Lato;
            font-style: normal;
            font-weight: normal;
            font-size: 16px;
            line-height: 24px;
            letter-spacing: 0.2px;
            color: #494F66;
        }

        &__restrictions{
            font-family: Lato;
            font-style: normal;
            font-weight: normal;
            font-size: 12px;
            line-height: 16px;
            letter-spacing: 0.6px;
            text-transform: uppercase;
            color: #676F8F;

            span{
                color: #E4E8F7;
                margin: 0 8px;
            }
        }

        &__amount{
            grid-column: 2 / 39;
            display: flex;
            border: 1px solid #C5CBE0;
            border-radius: 4px;
            height: 56px;

            &__text{
                font-family: Lato;
                font-style: normal;
                font-weight: normal;
                font-size: 16px;
                line-height: 24px;
                display: flex;
                align-items: center;
                text-align: center;
                letter-spacing: 0.2px;
                color: #494F66;
                flex-basis: 100%;
                justify-content: center;
            }

            button{
                width: 50px;
                border: none;
                background: transparent;
                color: #939DFF;
                font-size: 30px;
                font-weight: bold;
                padding: 0 20px;
                cursor: pointer;
            }
        }
    }

    hr{
        display: none;
    }

    &__coverage{
        padding-bottom: 80px;

        &__title{
            font-family: Lato;
            font-style: normal;
            font-weight: normal;
            font-size: 20px;
            line-height: 28px;
            color: #494F66;
            margin: 0 11.54% 40px 11.54%;
        }

        &__type{
            &--block{
                display: grid;
                grid-template-columns: repeat(3, 1fr);
            }

            font-family: Lato;
            font-style: normal;
            font-weight: bold;
            font-size: 10px;
            line-height: 16px;
            display: flex;
            align-items: center;
            text-align: center;
            letter-spacing: 0.8px;
            text-transform: uppercase;
            color: #494F66;
            padding: 20px 14%;
            border-bottom: 1px solid #E4E8F7;
            cursor: pointer;

            &.active{
                font-family: Lato;
                font-style: normal;
                font-weight: bold;
                font-size: 10px;
                line-height: 16px;
                display: flex;
                align-items: center;
                text-align: center;
                letter-spacing: 0.8px;
                text-transform: uppercase;
                color: #EF3340;
                border-bottom: 2px solid #EF3340;
            }
        }

        &__item{
            padding: 24px 0;
            &--block{
                display: grid;
                grid-template-columns: 11.54% repeat(37, 1fr) 11.54%;
            }

            grid-column: 2 / 39;
            display: grid;
            grid-template-columns: repeat(37, 1fr);

            &__icon{
                grid-column: 1 / 6;
            }

            &__header{
                font-family: Lato;
                font-style: normal;
                font-weight: normal;
                font-size: 16px;
                line-height: 24px;
                /* identical to box height, or 150% */

                letter-spacing: 0.2px;

                /* Gray_1_Títulos */

                color: #494F66;

                p{
                    margin-right: 20px;
                }
            }

            &__content{
                grid-column: 8 / 38;
            }

            &__header{
                display: flex;
                align-items: center;
                justify-content: space-between;
                margin-bottom: 9px;
            }

            &__action{
                display: none;
                align-items: center;
                margin-bottom: 20px;
                cursor: pointer;

                img{
                    margin-right: 12px;
                }

                p{
                    font-family: Lato;
                    font-style: normal;
                    font-weight: bold;
                    font-size: 12px;
                    line-height: 16px;
                    /* identical to box height, or 133% */

                    letter-spacing: 0.6px;
                    text-transform: uppercase;

                    /* Acian_2_Hover */

                    color: #6F7DFF;
                }
            }

            &__collapse{
                min-height: 0px;
                height: auto;
                transition-duration: 269ms;
                font-family: Roboto;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 24px;
                color: #676F8F;
                margin-bottom: 16px;
            }

            &__button.mobile{
                background: transparent;
                border: none;
                display: flex;
                align-items: center;
                font-family: Lato;
                font-style: normal;
                font-weight: bold;
                font-size: 10px;
                line-height: 16px;
                letter-spacing: 0.8px;
                text-transform: uppercase;
                color: #A3ABCC;

                img{
                    margin-left: 11px;
                }
            }
            &__button.desktop{
                display: none;
            }
        }
    }

    &__amount{
        position: fixed;
        bottom: 0;
        background: white;
        width: 100%;
        box-shadow: 0px 1px 4px rgba(163, 171, 204, 0.06), 0px 8px 30px rgba(20, 43, 127, 0.1);
        display: grid;
        grid-template-columns: 11.54% repeat(37, 1fr) 11.54%;
        padding: 14px 0;

        &__text{
            &--block{
                grid-column: 2 / 16;
            }

            &--m{
                display: none;
            }

            &--b{
                font-family: Lato;
                font-style: normal;
                font-weight: normal;
                font-size: 24px;
                line-height: 32px;
                letter-spacing: -0.2px;
                color: #494F66;
            }
            &--s{
                font-family: Lato;
                font-style: normal;
                font-weight: bold;
                font-size: 10px;
                line-height: 16px;
                letter-spacing: 0.8px;
                text-transform: uppercase;
                color: #494F66;
            }     
        }

        &__description{
            display: none;
        }

        &__button{
            background: #EF3340;
            border-radius: 6px;
            border: none;
            font-family: Lato;
            font-style: normal;
            font-weight: bold;
            font-size: 12px;
            line-height: 16px;
            text-align: center;
            letter-spacing: 0.8px;
            text-transform: uppercase;
            color: #FFFFFF;
            border-radius: 6px;
            grid-column: 18 / 39;
            cursor: pointer;
        }
    }
}

@media (min-width: 768px) {
    .plan__content{
        height: calc(100vh - 64px);
        overflow-y: auto;
        overflow-x: hidden;
        grid-column: 12 / 40;
        display: grid;
        grid-template-columns: repeat(27, 1fr) 11.54%;

        hr{
            display: block;
            background: #E4E8F7;
            height: 1px;
            border: none;
        }

        &--block{
            grid-column: 4 /16;
        }

        &__loading{
            grid-column: 14 / 16;
            align-self: center;
            margin: 0;
        }

        .back-action{
            margin-top: 48px;
            display: flex;
            align-items: center;

            &__button{
                background: transparent;
                border: none;
                height: min-content;
            }
            // display: block;
            
            &__icon{
                cursor: pointer;
                margin-right: 16px;
                display: block;
            }
            &__text{
                font-family: Lato;
                font-style: normal;
                font-weight: normal;
                font-size: 12px;
                line-height: 16px;
                color: #A3ABCC;
            }
        }

        &--background{
            background: transparent;
            margin: 24px 0 55px;
            display: block;
        }
        
        &__greeting{
            margin: 0;
            margin-bottom: 44px;

            &__title.mobile{
                display: none;
            }
            &__title.desktop{
                display: block;
                font-family: Lato;
                font-style: normal;
                font-weight: normal;
                font-size: 40px;
                line-height: 48px;
                letter-spacing: -0.6px;
                color: #494F66;
                margin-bottom: 8px;
            }
        }

        &__card{
            // width: 384px;
            width: 100%;
            padding: 0 120px 0 32px;
            align-self: flex-start;
            margin: 0;

            &__image{
                right: 42px;
            }
        }

        &__insurance{
            margin: 0;
            padding: 0;
            margin-bottom: 43px;
            display: grid;
            grid-template-columns: repeat(12, 1fr);

            &--block{
                grid-column: 1 / 7;
                align-self: center;
                margin-bottom: 0;
            }

            &__amount{
                grid-column: 8 / 13;
                border-radius: 8px;

                button{
                    width: auto;
                    padding: 0 19px;
                }
            }
        }

        &__coverage{
            &__title{
                padding: 0;
                margin: 55px 0 32px 0;
            }

            &__item{
                border-bottom: 1px solid #E4E8F7;

                &:last-child{
                    border-bottom: 0;
                }

                &--block{
                    display: block;
                }
                &__header{
                    font-size: 20px;
                    line-height: 28px;

                    .switch{
                        display: none;
                    }
                }

                &__action{
                    display: flex;
                }
                &__content{
                    grid-column: 8/36;
                }
                &__button.mobile{
                    display: none;
                }
                &__button.desktop{
                    display: block;
                    cursor: pointer;
                    grid-column: 37/38;
                    border: none;
                    background: transparent;
                    align-self: flex-start;
                    margin-top: 4px;
                }
            }
        }

        &__amount{
            position: initial;
            box-shadow: none;
            margin-top: 190px;
            display: block;
            grid-column: 19 / 26;

            &__text{
                &--m{
                    display: block;
                    font-family: Lato;
                    font-style: normal;
                    font-weight: bold;
                    font-size: 12px;
                    line-height: 16px;
                    letter-spacing: 0.6px;
                    text-transform: uppercase;
                    color: #494F66;
                    margin-bottom: 10px;
                }

                &--b{
                    font-size: 28px;
                    line-height: 36px;
                    margin-bottom: 4px;
                }

                &--s{
                    font-size: 12px;
                    line-height: 20px;
                    margin-bottom: 19px;
                }
            }

            &__description{
                display: block;
                margin-top: 24px;
                margin-bottom: 32px;

                &__text{
                    font-family: Lato;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 16px;
                    line-height: 24px;
                    letter-spacing: 0.2px;
                    color: #494F66;
                    margin-bottom: 12px;
                }

                &__item{
                    display: flex;
                    align-items: flex-start;

                    img{
                        margin-right: 12px;
                        margin-top: 8px;
                    }
                    span{
                        font-family: Roboto;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 24px;
                        display: flex;
                        align-items: center;
                        color: #676F8F;
                    }
                }
            }
            &__button{
                width: 100%;
                padding: 16px 32px;
            }
        }
    }
}